Page MenuHomePhabricator

Delay showing edit overlay
Closed, ResolvedPublic

Description

When I create a new collection there is a delay between clicking save and the edit overlay showing which is jarring.

Expected:
A LoadingOverlay should be used while the edit overlay is being loaded.

Event Timeline

JKatzWMF created this task.May 4 2015, 4:50 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2015, 4:50 PM
JKatzWMF renamed this task from If I create a new collection, the overlay show after edit screen is closed to If I create a new collection, the overlay pointing to hamburger should show *after* edit screen is closed.May 4 2015, 4:51 PM
JKatzWMF set Security to None.
Jdlrobson moved this task from Needs triage to Product triage on the Gather board.May 4 2015, 6:47 PM
Jdlrobson renamed this task from If I create a new collection, the overlay pointing to hamburger should show *after* edit screen is closed to Delay showing edit overlay.May 6 2015, 9:43 AM
Jdlrobson updated the task description. (Show Details)

Change 209203 had a related patch set uploaded (by Jhernandez):
Show loading screen while the collection editor loads

https://gerrit.wikimedia.org/r/209203

Change 209203 merged by jenkins-bot:
Show loading screen while the collection editor loads

https://gerrit.wikimedia.org/r/209203

JKatzWMF closed this task as Resolved.May 11 2015, 7:09 PM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Greatest Hits board.